﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.8
@EndOfDesignText@
Sub Class_Globals

	Private xui As XUI
	Private frm As Form
	Private dialog1 As B4XDialog

	Private showing As Boolean = False
	Private initialDlgWidth As Double
	Private initialDlgHeight As Double

End Sub

' Called from Main.AppStart
Public Sub Initialize(callersForm As Form, dialogWidth As Double, dialogHeight As Double)

	frm = callersForm
	initialDlgWidth = dialogWidth
	initialDlgHeight = dialogHeight

End Sub

' Called from Main.Mainform_Resize
Public Sub Resize(width As Double, height As Double)

	If showing Then
		Log("Resizing")
		dialog1.Resize(width.As(Int), height.As(Int)) ' <<<<<< The dialog's position changes so that it remains centered on the form, but its size doesn't seem to change
	End If

End Sub

' Called from Main.AppStart
Public Sub Show As ResumableSub

	Dim p As B4XView = xui.CreatePanel("")
	p.SetLayoutAnimated(0, 0, 0, initialDlgWidth, initialDlgHeight)
	p.LoadLayout("test")

	dialog1.Initialize(frm.RootPane)
	dialog1.Title = "Test"

	Dim rSub As ResumableSub = dialog1.ShowCustom(p, "OK", "", "Cancel")
	showing = True
	Wait For (rSub) Complete(dlgresult As Int)
	showing = False

	Return ""

End Sub